## Tcl8.5.14/Tk8.5.14 Documentation > TkCmd > ttk_radiobutton

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

  NAME
    ttk::radiobutton - Mutually exclusive option widget
  SYNOPSIS
  DESCRIPTION
  STANDARD OPTIONS
    -class, undefined, undefined
    -compound, compound, Compound
    -cursor, cursor, Cursor
    -image, image, Image
    -state, state, State
    -style, style, Style
    -takefocus, takeFocus, TakeFocus
    -text, text, Text
    -textvariable, textVariable, Variable
    -underline, underline, Underline
    -width, width, Width
  WIDGET-SPECIFIC OPTIONS
    -command, command, Command
    -value, Value, Value
    -variable, variable, Variable
  WIDGET COMMAND
    pathname invoke
  WIDGET STATES
  STANDARD STYLES
  SEE ALSO
  KEYWORDS

### NAME

ttk::radiobutton - Mutually exclusive option widget

### SYNOPSIS

ttk::radiobutton pathName ?options?

### DESCRIPTION

ttk::radiobutton widgets are used in groups to show or change a set of mutually-exclusive options. Radiobuttons are linked to a Tcl variable, and have an associated value; when a radiobutton is clicked, it sets the variable to its associated value.

### STANDARD OPTIONS

-class, undefined, undefined
-compound, compound, Compound
-cursor, cursor, Cursor
-image, image, Image
-state, state, State
-style, style, Style
-takefocus, takeFocus, TakeFocus
-text, text, Text
-textvariable, textVariable, Variable
-underline, underline, Underline
-width, width, Width

### WIDGET-SPECIFIC OPTIONS

Command-Line Name: -command
Database Name: command
Database Class: Command
  A Tcl script to evaluate whenever the widget is invoked.

Command-Line Name: -value
Database Name: Value
Database Class: Value
  The value to store in the associated -variable when the widget is selected.

Command-Line Name: -variable
Database Name: variable
Database Class: Variable
  The name of a global variable whose value is linked to the widget. Default value is ::selectedButton.

### WIDGET COMMAND

In addition to the standard cget, configure, identify, instate, and state commands, radiobuttons support the following additional widget commands:

pathname invoke
  Sets the -variable to the -value, selects the widget, and evaluates the associated -command. Returns the result of the -command, or the empty string if no -command is specified.

### WIDGET STATES

The widget does not respond to user input if the disabled state is set. The widget sets the selected state whenever the linked -variable is set to the widget's -value, and clears it otherwise. The widget sets the alternate state whenever the linked -variable is unset. (The alternate state may be used to indicate a “tri-state” or “indeterminate” selection.)

### STANDARD STYLES

Ttk::radiobutton widgets support the Toolbutton style in all standard themes, which is useful for creating widgets for toolbars.

### SEE ALSO

ttk::widget, ttk::checkbutton, radiobutton

### KEYWORDS

widget, button, option
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 2004 Joe English